@use 'theme';

:host {
  @include theme.inline-flex-row-center;

  white-space: nowrap;
  cursor: pointer;
  height: 100%;

  color: theme.$color-control-default;

  .button-content {
    @include theme.inline-flex-row-center;

    height: 100%;
  }

  .percent {
    margin-left: 4px;
    font-style: italic;
    color: theme.$color-control-default;
  }

  .popoverOpen,
  &:hover {
    .percent {
      color: theme.$color-control-hover;
    }
  }

  &.disabled {
    pointer-events: none;
    color: theme.$color-control-disabled;

    .cv-caret-down .button-icon {
      fill: theme.$color-control-default;
    }
  }

  .cv-caret-down {
    margin-left: 2px;
  }
}
